<?php

declare(strict_types=1);

namespace Drupal\visitors;

/**
 * Interface for visitors campaign.
 */
interface VisitorsCampaignInterface {

  /**
   * Parse the campaign query string.
   *
   * @param string|null $query
   *   The query string.
   *
   * @return array|null
   *   The campaign data.
   */
  public function parse(?string $query): ?array;

}
